Arbor 3: FSM & BT Graph Editor 3.4.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleRectTransform Class Reference

参照方法が複数ある柔軟なRectTransform型を扱うクラス。 More...

Inheritance diagram for FlexibleRectTransform:

## Public Member Functions
| FlexibleRectTransform ()
| FlexibleRectTransformデフォルトコンストラクタ More...
| FlexibleRectTransform (RectTransform value)
| FlexibleRectTransformコンストラクタ More...
| FlexibleRectTransform (RectTransformParameterReference parameter)
| FlexibleRectTransformコンストラクタ More...
| FlexibleRectTransform (InputSlotRectTransform slot)
| FlexibleRectTransformコンストラクタ More...
FlexibleComponent | ToFlexibleComponent ()
| FlexibleComponentへ変換して返す。 More...
object | GetValueObject ()
| 値をobjectで返す。 More...

## Static Public Member Functions
static | operator RectTransform (FlexibleRectTransform flexible)
| FlexibleRectTransformをRectTransformにキャスト。 More...
static | operator FlexibleRectTransform (RectTransform value)
| RectTransformをFlexibleRectTransformにキャスト。 More...

## Properties
FlexibleType | type`[get]`
| Typeを返す More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
RectTransform | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なRectTransform型を扱うクラス。

## Constructor & Destructor Documentation

FlexibleRectTransform | ( |  | ) |

FlexibleRectTransformデフォルトコンストラクタ

FlexibleRectTransform | ( | RectTransform | value | ) |

FlexibleRectTransformコンストラクタ

Parameters

  value | 値

FlexibleRectTransform | ( | RectTransformParameterReference | parameter | ) |

FlexibleRectTransformコンストラクタ

Parameters

  parameter | パラメータ

FlexibleRectTransform | ( | InputSlotRectTransform | slot | ) |

FlexibleRectTransformコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

object GetValueObject | ( |  | ) |

値をobjectで返す。

Returns
  値のobject

Implements IFlexibleField.

static operator FlexibleRectTransform | ( | RectTransform | value | ) |
| explicit static

RectTransformをFlexibleRectTransformにキャスト。

Parameters

  value | RectTransform

static operator RectTransform | ( | FlexibleRectTransform | flexible | ) |
| explicit static

FlexibleRectTransformをRectTransformにキャスト。

Parameters

  flexible | FlexibleRectTransform

FlexibleComponent ToFlexibleComponent | ( |  | ) |

FlexibleComponentへ変換して返す。

Returns
  FlexibleComponent

## Property Documentation

Parameter parameter
| get

Parameterを返す。TypeがParameter以外の場合はnull。

FlexibleType type
| get

Typeを返す

RectTransform value
| get

値を返す